<?php
define('NTOP', 1);
$title = 'Менеджер рекламы';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('../str/head.php');
reg();
level(2);
switch($act)
	{
		default:
		echo '<div class="topik">Менеджер рекламы</div><div class="stat"><a href="rekl.php?act=all">Установленная реклама</a></div>';
		$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."rek` WHERE `status` = '0'"));
		if($count > 0)
			{
				$total=intval(($count-1)/$set['page_moderacia'])+1; 
				$page=abs(intval($_GET['page'])); 
				if(empty($page) OR $page < 0)
					{
						$page = 1; 
				}	
				if($page > $total)
					{
						$page = $total; 
					}
				$past=intval($count/$set['page_moderacia']);  
				$start=$page*$set['page_moderacia']-$set['page_moderacia']; 
				$moder = mysql_query("SELECT * FROM `".$prefix."rek` WHERE `status` = '0' ORDER BY `id` DESC LIMIT ".$start.",".$set['page_moderacia']."");
				while($row = mysql_fetch_array($moder)) {
						$start++;
						echo '<div class="stat">'.$start.'.<strong>'.$row['name'].'</strong><br/>';
						echo 'URL: <a href="http://'.$row['url'].'">http://'.$row['url'].'</a><br/>';
if(empty($row['kosh']))echo 'Пользовательская<br/>'; else echo 'Кошелек: '.$row['kosh'].'<br/>';
						echo '&bull; <a href="rekl.php?act=activate&id='.$row['id'].'">Активировать</a> | ';
						echo '<a href="rekl.php?act=delete&id='.$row['id'].'">Удалить</a><br/>';
						echo '</div>';
					}
				navigation($count,$set['page_moderacia'],$page,'http://'.$set['home'].'/adm_panel/rekl.php?',$total);
			}
		else
			{
				echo '<div class="stat">';
				echo 'Рекламы на модерации нет!<br/>';
				echo '</div>';
			}
		break;
		case 'activate':
		echo '<div class="topik">Активация рекламы</div>';
		$up = mysql_query("UPDATE `".$prefix."rek` SET  `status` = '1' WHERE `id` = '".$id."'");
		if($up)
			{
				echo '<div class="stat">';
				echo 'Реклама успешно активирована<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="stat">';
				echo 'Реклама не активирована<br/>';
				echo '</div>';
			}
		break;
		case 'delete':
		echo '<div class="topik">Удаление рекламы</div>';
		$del = mysql_query("DELETE FROM `".$prefix."rek` WHERE `id` = '".$id."'");
		if($del)
			{
				echo '<div class="stat">';
				echo 'Реклама успешно удалена<br/>';
				echo '</div>';
			}
		else
			{
				echo '<div class="stat">';
				echo 'Реклама не удалена<br/>';
				echo '</div>';
			}
		break;
                case 'all':
		echo '<div class="topik">Установленная реклама</div>';
		$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."rek` WHERE `status` = '1'"));
		if($count > 0)
			{
				$total=intval(($count-1)/$set['page_moderacia'])+1; 
				$page=abs(intval($_GET['page'])); 
				if(empty($page) OR $page < 0)
					{
						$page = 1; 
				}	
				if($page > $total)
					{
						$page = $total; 
					}
				$past=intval($count/$set['page_moderacia']);  
				$start=$page*$set['page_moderacia']-$set['page_moderacia']; 
				$moder = mysql_query("SELECT * FROM `".$prefix."rek` WHERE `status` = '1' ORDER BY `id` DESC LIMIT ".$start.",".$set['page_moderacia']."");
				while($row = mysql_fetch_array($moder)) 
					{
						$start++;
						echo '<div class="stat">'.$start.'.<strong>'.$row['name'].'</strong><br/>';
						echo 'URL: <a href="http://'.$row['url'].'">http://'.$row['url'].'</a><br/>';
						echo 'Кошелек: ';
						echo $row['kosh'].'<br/>';
						echo '&bull; <a href="rekl.php?act=delete&id='.$row['id'].'">[Удалить]</a><br/>';
						echo '</div>';
					}
				navigation($count,$set['page_moderacia'],$page,'http://'.$set['home'].'/adm_panel/rekl.php?',$total);
			}
		else
			{
				echo '<div class="stat">';
				echo 'Рекламы нет!<br/>';
				echo '</div>';
			}
		break;
	}
echo '<div class="main"><a href="http://'.$set['home'].'/adm_panel/index.php">В Админку</a><br/></div>';
require_once('../str/foot.php');
?>
